#ifndef GBL_MACRO_H
#define GBL_MACRO_H

//The following define the work frequency , current setting is 22.1184MHz
//#define FREQ110592
#define FREQ221184 

// TH1 = 256 - (K*FREQ)/(384*BAUT)
// K= 1 if SMOD = 0
// K= 2 if SMOD = 1

#ifdef  FREQ110592
#define BAUT_57600 255 // for 11.0592Mhz,255
#define BAUT_19200 253 
#define BAUT_9600  250
#define BAUT_4800  244
#define BAUT_2400  232
#endif

#ifdef  FREQ221184
#define BAUT_115200 255
#define BAUT_57600 254 // for 11.0592Mhz,255
#define BAUT_38400 253
#define BAUT_19200 250 
#define BAUT_9600  244
#define BAUT_4800  232
#define BAUT_2400  208
#endif
                       
#define DEBG   0       // 1 means debug = enabled
#define XRAM_DBG 1     // 1 means init xram enabled
#define M4X    0       // 1 means clock = 4*(external clock)

#define ONE_FRM_SIZE   352
#define ONE_CHN_SIZE   56  // 6*8+8

#define HOST_ASK_DATA_FLAG      (status & 0x40)
#define CLR_HOST_ASK_DATA_FLAG  (status &= 0xbf)
#define HOST_SEND_DATA_FLAG     (event & 0x01)
#define CLR_HOST_SEND_DATA_FLAG (event &= 0xfe)
#define TIME_TO_SEND_HOST       (status & 0x80)
#define CLR_TIME_TO_SEND        (status &= 0x7f)

#endif
